# List impersonation configs

Endpoint: GET /impersonationconfig
Version: 1.0.457.36910
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2 scopes: FullAccess, SetSecurityProfile

## Query parameters:

  - `search` (string)
    Word or phrase to search for.

  - `searchOn` (array)
    Comma-delimited list of fields to search on.

  - `sortBy` (array)
    Comma-delimited list of fields to sort by.

  - `page` (integer)
    Page of results to return. When paginating through many items (> page 30), we recommend the "Last ID" method, as outlined in the Advanced Querying documentation.

  - `pageSize` (integer)
    Number of results to return per page.

  - `filters` (object)
    An object or dictionary representing key/value pairs to apply as filters. Valid keys are top-level properties of the returned model or 'xp.???'

## Response 200 fields (application/json):

  - `Items` (array)

  - `Items.ID` (string)

  - `Items.ImpersonationBuyerID` (string)
    The BuyerID of the impersonator group or user (party doing the impersonating)

  - `Items.ImpersonationGroupID` (string)
    The UserGroupID of the impersonator (party doing the impersonating)

  - `Items.ImpersonationUserID` (string)
    The UserID of the impersonator (party doing the impersonating)

  - `Items.BuyerID` (string)
    The BuyerID of the impersonatee (party being impersonated). If null, the config can be used to impersonate users in any buyer in the marketplace that is able to access the specified API Client.

  - `Items.GroupID` (string)
    The UserGroupID of the impersonatee (party being impersonated)

  - `Items.UserID` (string)
    The UserID of the impersonatee (party being impersonated)

  - `Items.SecurityProfileID` (string)

  - `Items.ClientID` (string)

  - `Meta` (object)

  - `Meta.Page` (integer)

  - `Meta.PageSize` (integer)

  - `Meta.TotalCount` (integer)

  - `Meta.TotalPages` (integer)

  - `Meta.ItemRange` (array)

  - `Meta.NextPageKey` (string)

## Response 4XX:

  - `4XX` (unknown)
    Expected errors range from 400-409. Anything in the 5XX range indicates a server issue and should be reported to support.

## Response 4XX fields (application/json):

  - `StatusCode` (integer)
    Example: 404

  - `ErrorCode` (string)
    Example: NotFoundError

  - `Message` (string)
    Example: Object not found

  - `Data` (object)
    Example: {"ObjectType":"","ObjectID":""}

